package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TBaseProvider;

/**
 * 供应商管理Mapper接口
 *
 * @author sunits
 * @date 2024-06-16
 */
public interface TBaseProviderMapper extends BaseMapper<TBaseProvider> //修改
{
    /**
     * 查询供应商管理
     *
     * @param id 供应商管理主键
     * @return 供应商管理
     */
    public TBaseProvider selectTBaseProviderById(Long id);

    /**
     * 查询供应商管理列表
     *
     * @param tBaseProvider 供应商管理
     * @return 供应商管理集合
     */
    public List<TBaseProvider> selectTBaseProviderList(TBaseProvider tBaseProvider);

    /**
     * 新增供应商管理
     *
     * @param tBaseProvider 供应商管理
     * @return 结果
     */
    public int insertTBaseProvider(TBaseProvider tBaseProvider);

    /**
     * 修改供应商管理
     *
     * @param tBaseProvider 供应商管理
     * @return 结果
     */
    public int updateTBaseProvider(TBaseProvider tBaseProvider);

    /**
     * 删除供应商管理
     *
     * @param id 供应商管理主键
     * @return 结果
     */
    public int deleteTBaseProviderById(Long id);

    /**
     * 批量删除供应商管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBaseProviderByIds(Long[] ids);

    /**
     * 批量启用供应商管理
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTBaseProviderByIds(Long[] ids);

    /**
     * 批量禁用供应商管理
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTBaseProviderByIds(Long[] ids);

}
